using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_Board_Black:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-6-11 13:47:12
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("黑名单列表","网站页面","黑名单列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

	访问.验证会员();
	版块ID=Convert.ToInt32(Request.QueryString["ID"]);
	版块名称=常用.获取版块名称(版块ID);
	if(!是否版主())
		throw new Exception("此页面只允许版主访问");
	当前页面="BlackFriends.aspx";
	一页显示记录数=获取一页显示记录数();
	跳页表单项="<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"社区_论坛_黑名单] WHERE [版块ID]="+版块ID;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""黑名单列表"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"



<a href=""Board_Black_Add.aspx?ID=");
		返回值.Append(版块ID);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">增加黑名单</a><br/>
----------<br/>
");
		黑名单列表FKCA9D9R();
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"(当前第 ");
		返回值.Append(当前页);
		返回值.Append(@" 页)<br/>
");
		返回值.Append(偏移地址9M0TK57B());
		返回值.Append(偏移地址KA3Z9XJA());
		返回值.Append(偏移地址YUFJP3MC());
		返回值.Append(偏移地址TXEFRMVF());
		返回值.Append(偏移地址JFCVS9BV());
		返回值.Append(偏移地址3UD34A7F());
		返回值.Append(@"<br/>
跳到 <input type=""text"" name=""page"" format=""*N"" size=""5"" value=""2"" /> 页 <anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>GO</anchor><br/>");
		}
		返回值.Append(@"

----------<br/>

<a href=""Topic_Function.aspx?ID=");
		返回值.Append(版块ID);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回版块功能</a><br/>
<a href=""Board.aspx?ID=");
		返回值.Append(版块ID);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回");
		返回值.Append(Server.HtmlEncode(版块名称));
		返回值.Append(@"</a><br/>

<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"

</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}

	private String 当前页面;
	//参数
	private String 跳页表单项;
	private String _3G跳页表单项;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;
	private int 版块ID;
	private String 版块名称;

	private DataSet 论坛版主;
	private void 获取论坛版主()
	{
		论坛版主=new DataSet();
		SqlCommand 语句=new SqlCommand("SELECT * FROM ["+程序.数据表前缀+"社区_论坛_版主] WHERE [所属版块]="+版块ID+" ORDER BY [创建时间]",访问.连接);
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(论坛版主,"论坛版主");
	}
	private bool 是否版主()
	{
		if(论坛版主==null)
			获取论坛版主();
		bool 返回值=false;
		for(int i=0;i<论坛版主.Tables[0].Rows.Count;i++)
			if(Convert.ToInt32(论坛版主.Tables[0].Rows[i]["版主ID"])==Convert.ToInt32(访问.用户["ID"]))
				返回值=true;
		return 返回值;
	}
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?page="+页码,访问.用户["标识"].ToString()));
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 黑名单列表FKCA9D9R()
	{
		if(总记录数<1)
			返回值.Append(@"还没任何人被加黑<br/>");
		String 语句SQL="SELECT [ID],[用户ID],[用户昵称] FROM ["+程序.数据表前缀+"社区_论坛_黑名单] WHERE [版块ID]="+版块ID;
		语句SQL+=" ORDER BY [创建时间] DESC";
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".<a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址("User.aspx?ID="+行["用户ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["用户昵称"].ToString()));
			返回值.Append(@"(ID:");
			返回值.Append(行["用户ID"].ToString());
			返回值.Append(@")</a>|<a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址("Board_Black_Delete.aspx?BID="+版块ID+"&ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">解黑</a><br/>");
		}
		}

		private String 偏移地址9M0TK57B()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址KA3Z9XJA()
		{
			String 返回值="";
			int 页数=当前页+2;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">[";
				返回值+=页数.ToString();
				返回值+=@"]</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址YUFJP3MC()
		{
			String 返回值="";
			int 页数=当前页+3;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">[";
				返回值+=页数.ToString();
				返回值+=@"]</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址TXEFRMVF()
		{
			String 返回值="";
			int 页数=当前页+4;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">[";
				返回值+=页数.ToString();
				返回值+=@"]</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址JFCVS9BV()
		{
			String 返回值="";
			int 页数=当前页+5;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">&gt;&gt;</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址3UD34A7F()
		{
			String 返回值="";
			int 页数=当前页+-1;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>
";

			}
			else
			{

			}

			return 返回值;
		}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}